%global momorel 7
Summary: Conversions to and from arbitrary character sets and UTF8
Name: perl-Unicode-MapUTF8
Version: 1.09
Release: %{momorel}m
License: GPL or Artistic
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Unicode/Unicode-MapUTF8-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Unicode/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: perl >= 5.8.2
BuildPreReq: perl-Jcode >= 0.83-4m
BuildPreReq: perl-Unicode-Map >= 0.112-8m
BuildPreReq: perl-Unicode-Map8 >= 0.12-4m
BuildPreReq: perl-Unicode-String >= 2.07-4m

%description
Conversions to and from arbitrary character sets and UTF8

%prep
%setup -q -n Unicode-MapUTF8-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL
make
make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot}/usr -type f -print | 
	sed "s@^%{buildroot}@@g" | 
	grep -v perllocal.pod | 
	sed -e 's,\(.*/man/.*\),\1*,' | 
	grep -v "\.packlist" > Unicode-MapUTF8-%{version}-filelist
if [ "$(cat Unicode-MapUTF8-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

rm -f %{buildroot}%{perl_sitearch}/auto/Unicode/MapUTF8/.packlist

%files -f Unicode-MapUTF8-%{version}-filelist
%defattr(-,root,root)
%doc README

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.09-7m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (1.09-6m)
- revised spec for rpm 4.2.

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.09-5m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.09-4m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.09-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.09-2m)
- rebuild against perl-5.8.0

* Mon Jul 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.09-1m)
- spec file was semi-autogenerated. 
